## zhcon 0.2.6

=== debian/changelog ===
zhcon (1:0.2.6-21) unstable; urgency=medium

  * Bump Standards-Version: 4.7.2
  * d/copyright: update year info
  * fix invalid-dep3-format-patch-wrong-last-update
  * add d/p/0018-fix-Makefile-Shuffle.patch, Closes: #1105693

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 14 May 2025 16:45:48 +0800

zhcon (1:0.2.6-20) unstable; urgency=medium

  * d/control:
      - update B-D to libncurses-dev, as libncurses5-dev is an obsolete package
      - Bump Standards-Version: 4.7.0, no change needed
  * run wrap-and-sort -a -s -b -k -t
  * d/clean: add clear config.log
  * add d/p/fix-gcc14/ patch files to fix ftbfs with GCC-14(see: #1075707),
    thanks Rafael Lee
  * d/watch: Update to version=4, URL use https
  * d/copyright:
      - update year info to 2024
      - add doc/default.css public-domain License info
  * add d/zhcon.lintian-overrides

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 08 Jul 2024 18:58:55 +0800

zhcon (1:0.2.6-19) unstable; urgency=medium

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ xiao sheng wen(肖盛文) ]
  * delete unused 0008-default-to-utf8.patch
  * update d/patches/*.patch: set Forwarded: not-needed
  * add d/patches/0017-tools-Makefile.am.patch for blhc check
  * d/control: Build-Depends: - libpth-dev, thanks NIIBE Yutaka
  * Bump Standards-Version: 4.6.0

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 29 Nov 2021 22:51:27 +0800

zhcon (1:0.2.6-18) unstable; urgency=medium

  * Team upload.
  * Rebuild before Debian 11 release.
  * debian/patches/0016-gettext-0.20-compat.patch: Fix FTBFS with
    gettext 0.20+. (Closes: #978379)

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 18:06:06 -0500

zhcon (1:0.2.6-17) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Fix day-of-week for changelog entry 1:0.2.6-2.

  [ 肖盛文 ]
  * d/clean: add REVISION src/zhcon.ggo
  * d/control:
      - Bump debhelper-compat (= 13)
      - Bump Standards-Version: 4.5.0
      - add Rules-Requires-Root: no
      - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
      - add Homepage: https://sourceforge.net/projects/zhcon/
  * d/rules:
      - delete dh_missing --fail-missing
      - fix lintian: no-dh-sequencer by add execute_before_dh_autoreconf:
  * d/copyright: add Upstream-Contact:
  * upstream/metadata: add Bug-Database:

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 18 May 2020 21:08:54 +0800

zhcon (1:0.2.6-16) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Buster.
  * debian/control: Mark package zhcon-data as Multi-Arch: foreign.
  * debian/copyright: Mark src/cmdline.{c,h} as released under
    public domain.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Nov 2018 16:00:16 -0500

zhcon (1:0.2.6-15) unstable; urgency=medium

  * Team upload.
  * debian/patches: Add patch to fix FTBFS on i386 platform.
    Closes: #909859.
  * debian/control: Bump Standards-Version to 4.2.1.
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/not-installed: Explicitly stop installation of
    upstream-provided man page in favour of debian-provided one.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Sep 2018 20:38:02 -0400

zhcon (1:0.2.6-14) unstable; urgency=medium

  * Add Breaks/Replaces to prevent error on upgrade.
    Thanks to Boyang Yuan for the report!  (Closes: #905182)
  * Upgrade to zhcon 0.2.6+svn20070727.r22
    with debian/patches/0000-0.2.6+svn20070727.r22.patch
    obtained from https://svn.code.sf.net/p/zhcon/code/.
  * Refresh patches for 0.2.6+svn20070727.r22
  * Fix "ISO C++ forbids converting a string constant to ‘char *’"
    warnings
  * Bump Standards-Version to 4.2.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 17 Aug 2018 04:10:17 -0600

zhcon (1:0.2.6-13) unstable; urgency=medium

  * Split fonts and input methods to new zhcon-data package.
    Fixes Lintian info "zhcon: arch-dep-package-has-big-usr-share 7103kB 97%"
  * Remove obsolete "Breaks: unicon-im (<< 3.0.4-9)"
    as unicon-im is no more, having been replaced with unicon-imc2.

 -- Anthony Fok <foka@debian.org>  Tue, 31 Jul 2018 22:56:52 -0600

zhcon (1:0.2.6-12) unstable; urgency=medium

  * Point Vcs-* URLs to salsa.debian.org
  * Apply "cme fix dpkg" fixes to debian/control,
    bumping Standards-Version to 4.1.5, etc.
  * Use debhelper (>= 11)
  * Convert debian/copyright to machine-readable format, and add missing
    copyright information on files borrowed from other projects
  * Use "dh_auto_install --no-parallel" to avoid build failure
  * Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
  * Fix Lintian warning useless-autoreconf-build-depends dh-autoreconf
    (No longer necessary since debhelper compatibility level 10)

 -- Anthony Fok <foka@debian.org>  Tue, 31 Jul 2018 21:47:30 -0600

zhcon (1:0.2.6-11) unstable; urgency=medium

  * Fix zhcon crash with built-in input methods on 64-bit platform
    (Closes: #805544)
  * Disable erroneous 0008-default-to-utf8.patch (Closes: #774343)
  * Upgrade to debhelper (>= 9)
  * Prevent configure.in from adding rpath through LDFLAGS
  * Build with Debian hardening buildflags
  * Instead of running chrpath, don't compile with rpath in the first place
  * Move zhcon fonts and IME tables, which are platform-independent,
    to /usr/share/zhcon, so they don't end up in, e.g.,
    /usr/lib/x86_64-linux-gnu/zhcon
  * Restore Debian-specific customization for zhcon.conf for the correct
    unicon module paths.
  * Document "adduser <user> video" to allow normal users to start zhcon
  * Add myself to the Uploaders list
  * Bump Standards-Version to 3.9.6
  * Update Vcs-Git and Vcs-Browser tags
  * Minor revision to package description

 -- Anthony Fok <foka@debian.org>  Thu, 19 Nov 2015 06:22:24 -0700

zhcon (1:0.2.6-10) unstable; urgency=low

  * Drop libggi support (Closes: #680238).


