=== debian/control ===
Source: zhcon
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 Anthony Fok <foka@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
Section: utils
Priority: optional
Build-Depends:
 bison,
 debhelper-compat (= 13),
 libbsd-dev [kfreebsd-any],
 libgpm-dev [linux-any],
 libncurses-dev,
 unicon-imc2,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/zhcon/
Vcs-Browser: https://salsa.debian.org/chinese-team/zhcon
Vcs-Git: https://salsa.debian.org/chinese-team/zhcon.git

Package: zhcon
Architecture: any
Depends:
 zhcon-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fast console CJK system using FrameBuffer (main program)
 Zhcon is a fast Linux console Chinese system which supports framebuffer
 device.  It can display Chinese, Japanese or Korean double byte characters
 on console.
 .
 Features include:
  * Full support for Linux FrameBuffer device (from 640x480x8bpp to
    1024x768x32bpp)
  * Multiple language support (GB2312, GBK, BIG5, JIS, KSC)
  * Auto-detect and convert between GB2312 and BIG5 encoding (like hztty)
  * Hot key to change language encoding on the fly
  * Can use input method from MS Windows 98 Chinese version or UCDOS for
    MS-DOS

Package: zhcon-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Fast console CJK system using FrameBuffer (data files)
 This package contains the fonts and input method engine files for zhcon.
 .
 Zhcon is a fast Linux console Chinese system which supports framebuffer
 device.  It can display Chinese, Japanese or Korean double byte characters
 on console.
