=== debian/watch ===
version=4
https://sf.net/zhcon/zhcon-(0\.2\.\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
